javax.swing.event

## Interface MenuDragMouseListener

All Superinterfaces:
  EventListener

    public interface MenuDragMouseListener
    extends EventListener

Defines a menu mouse-drag listener.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `menuDragMouseDragged(MenuDragMouseEvent e)` Invoked when the mouse is being dragged in a menu component's display area.
`void` `menuDragMouseEntered(MenuDragMouseEvent e)` Invoked when the dragged mouse has entered a menu component's display area.
`void` `menuDragMouseExited(MenuDragMouseEvent e)` Invoked when the dragged mouse has left a menu component's display area.
`void` `menuDragMouseReleased(MenuDragMouseEvent e)` Invoked when a dragged mouse is release in a menu component's display area.

### Method Detail

#### menuDragMouseEntered

    void menuDragMouseEntered(MenuDragMouseEvent e)

Invoked when the dragged mouse has entered a menu component's display area.

Parameters:
  `e` - a MenuDragMouseEvent object

#### menuDragMouseExited

    void menuDragMouseExited(MenuDragMouseEvent e)

Invoked when the dragged mouse has left a menu component's display area.

Parameters:
  `e` - a MenuDragMouseEvent object

#### menuDragMouseDragged

    void menuDragMouseDragged(MenuDragMouseEvent e)

Invoked when the mouse is being dragged in a menu component's display area.

Parameters:
  `e` - a MenuDragMouseEvent object

#### menuDragMouseReleased

    void menuDragMouseReleased(MenuDragMouseEvent e)

Invoked when a dragged mouse is release in a menu component's display area.

Parameters:
  `e` - a MenuDragMouseEvent object